
# CloudStore

[![CI](https://github.com/JuliaServices/CloudStore.jl/workflows/CI/badge.svg)](https://github.com/JuliaServices/CloudStore.jl/actions?query=workflow%3ACI)
[![codecov](https://codecov.io/gh/JuliaServices/CloudStore.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaServices/CloudStore.jl)
[![deps](https://juliahub.com/docs/CloudStore/deps.svg)](https://juliahub.com/ui/Packages/CloudStore/HHBkp?t=2)
[![version](https://juliahub.com/docs/CloudStore/version.svg)](https://juliahub.com/ui/Packages/CloudStore/HHBkp)
[![pkgeval](https://juliahub.com/docs/CloudStore/pkgeval.svg)](https://juliahub.com/ui/Packages/CloudStore/HHBkp)

*A simple, consistent, and performant API for interacting with common cloud storage abstractions in Julia (GCP, Azure Blob Storage, AWS S3)*

## Installation

The package is registered in the [`General`](https://github.com/JuliaRegistries/General) registry and so can be installed at the REPL with `] add CloudStore`.

## Documentation

- [**STABLE**][docs-stable-url] &mdash; **most recently tagged version of the documentation.**
- [**LATEST**][docs-latest-url] &mdash; *in-development version of the documentation.*

## Project Status

The package is tested against Julia `1.6`, current stable release, and nightly on Linux.

## Contributing and Questions

Contributions are very welcome, as are feature requests and suggestions. Please open an
[issue][issues-url] if you encounter any problems or would just like to ask a question.

[docs-latest-img]: https://img.shields.io/badge/docs-latest-blue.svg
[docs-latest-url]: https://juliaservices.github.io/CloudStore.jl/latest

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://juliaservices.github.io/CloudStore.jl/stable

[ci-img]: https://github.com/JuliaServices/CloudStore.jl/workflows/CI/badge.svg
[ci-url]: https://github.com/JuliaServices/CloudStore.jl/actions?query=workflow%3ACI+branch%3Amaster

[codecov-img]: https://codecov.io/gh/JuliaServices/CloudStore.jl/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/JuliaServices/CloudStore.jl

[issues-url]: https://github.com/JuliaServices/CloudStore.jl/issues
